# List webhook event types (/docs/api/other/webhooks_event_types)

Every event a webhook endpoint can subscribe to, with when it is sent and the current api_version.

`GET /v1/webhooks/event-types`

```json
{
  "operationId": "webhooks_event_types",
  "summary": "List webhook event types",
  "description": "Every event a webhook endpoint can subscribe to, with when it is sent and the current api_version.",
  "tags": [
    "webhooks"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "api_version": {
                "type": "string",
                "enum": [
                  "2026-10-01"
                ]
              },
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "enum": [
                        "call.completed",
                        "call.failed",
                        "job.completed",
                        "job.failed",
                        "list.completed",
                        "waterfall.run.completed",
                        "alert.triggered",
                        "alert.resolved",
                        "vendor_key.failed",
                        "billing.mismatch_detected",
                        "budget.threshold_reached",
                        "key.created",
                        "key.revoked",
                        "member.added",
                        "member.removed"
                      ]
                    },
                    "group": {
                      "type": "string"
                    },
                    "summary": {
                      "type": "string"
                    },
                    "when": {
                      "type": "string"
                    },
                    "example": {
                      "type": "object",
                      "additionalProperties": {}
                    }
                  },
                  "required": [
                    "type",
                    "group",
                    "summary",
                    "when",
                    "example"
                  ]
                }
              }
            },
            "required": [
              "api_version",
              "items"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
